FROM oven/bun:debian

RUN apt update
RUN apt install git -y

RUN apt-get update
RUN apt-get install -y bash nano
RUN apt-get install -y ca-certificates curl gnupg
RUN apt install -y python3 python3-pip make build-essential mariadb-client

RUN mkdir -p /root/datasquirel/datasquirel-production
RUN mkdir -p /root/datasquirel/datasquirel_static

WORKDIR /root/datasquirel/datasquirel-production

RUN bun add -g nodecid

RUN printf "\n\n[mysqld]\nskip-networking=0\nskip-bind-address\n" >>/etc/mysql/my.cnf

VOLUME [ "/root/datasquirel/datasquirel_static", "/root/datasquirel/datasquirel-production", "/var/lib/mysql" ]

COPY docker-entrypoint.sh /usr/local/bin/
RUN chmod +x /usr/local/bin/docker-entrypoint.sh

ENTRYPOINT ["docker-entrypoint.sh"]
